<!doctype html>
<html lang="en" class="no-js">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Schreib auf die Erika</title>
    <meta name="description" content="Simple Webseite, um auf Erika zu tippen.">
    <link rel="stylesheet" href="style.css">
</head>

<body>
	<?php
	include "const.php";

	$myfile=fopen(ZEITDATEI,'rt');
	flock($myfile,LOCK_SH);
	$letztesmal=file_get_contents(ZEITDATEI);
	fclose($myfile);

	?>
	<script>
		window.letztesMal = <?php echo $letztesmal."000" ?>;
		window.pauseZeit =  <?php echo PAUSEZEIT_MS ?>
	</script>
	<header>
		<div id="logo"><img src="logo.png">Erika-Tippmaschine</div>
		<nav>  
			<ul>
				<li><a href="./">Heim</a>
				<!-- <li><a href="https://html-css-js.com/">HTML</a>
				<li><a href="https://html-css-js.com/css/code/">CSS</a>
				<li><a href="https://htmlcheatsheet.com/js/">JS</a> -->
			</ul>
		</nav>
	</header>
	<section>
		Hier kann man nach gewissen Parametern auf der nebenstehenden <strong></strong>Schreibmaschine
		Texte ausgeben</strong>. 
	</section>
	<section id="pageContent">
		<main role="main">
			<h1>Erklärung</h1>
			<article>
				<h2>Limitierungen</h2>
				<p>Es gibt gewisse Limits für die Texte. Siehe rechts.				
				</p>
			</article>
			<article>
				<h2>Texten</h2>
				<p>Hier Deinen Text eingeben:</p>
				<form method="POST" action="erika.php" accept-charset="utf-8" enctype="multipart/form-data">
					<textarea accesskey="t" id="texta" name="texta" maxlength="<?php echo TEXT_MAXLEN ?>" ></textarea>
					<br/>
					<label id="zeichen" >Zeichen: </label>
					<br/>
					<label id="sekunden" >Sekunden: </label>
					<br/>
					<button type="submit" id="bsenden" title="Senden" disabled>Senden</button>

				</form>
			</article>
		</main>
		<aside>
			<div>Aktuell darf nur alle <strong><?php echo PAUSEZEIT_MS /1000 ?></strong> Sekunden ein Text ausgedruckt werden.</div>
			<div>Es sind nur <?php echo TEXT_MAXLINE ?> Zeichen pro Zeile Platz (Schreibmaschinenbreite) - es
				gibt aber einen automatischen Umbruch.</div>
				<div><p>Der Zeichensatz ist auf das limitiert, was die Maschine kann.
					Verboten ist <?php echo REGEX_FILTER ?> und wird in (?) umgesetzt.
					</p>
					<p>Nichtdruckbares wid zu ?</p>
				</div>
				<div> 
				Außerdem erlauben wir maximal <?php echo TEXT_MAXLEN ?> Zeichen insgesamt. Wobei maximal
				3 Leerzeilen in einer Folge erlaubt sind.</div>
		</aside>
	</section>
	<footer>
		<p>&copy; Robert Köpferl für ChCh und Klub Solitär | Vorlage: <a href="https://html5-templates.com/" target="_blank" rel="nofollow">HTML5 Templates</a></p>
		<address>
			Kontakt: <a href="mailto:presse@klub-solitaer.de">E-Mail an Klub Solitär</a>
		</address>
	</footer>

    <script src="script.js"></script>

</body>

</html>
